Package resources.icons

# Class ReflectedIcon

java.lang.Object
javax.swing.ImageIcon
resources.icons.LazyImageIcon
resources.icons.DerivedImageIcon
resources.icons.ReflectedIcon

All Implemented Interfaces:
  `Serializable`, `Accessible`, `Icon`, `FileBasedIcon`

public class ReflectedIcon extends DerivedImageIcon
`LazyImageIcon` that creates a reflected version of an icon. This creates a version of the icon which has had either its x values reflected (left to right) or its y values reflected (upside down)

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.ImageIcon

  `ImageIcon.AccessibleImageIcon`

- ## Field Summary

  ### Fields inherited from class javax.swing.ImageIcon

  `component, tracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReflectedIcon(Icon baseIcon, boolean leftToRight)`
  Construct a icon that is reflected either left to right or upside down.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ImageIcon`
  `createImageIcon()`

  ### Methods inherited from class resources.icons.DerivedImageIcon

  `createImage, getSourceIcon, sourceIconChanged`

  ### Methods inherited from class resources.icons.LazyImageIcon

  `getAccessibleContext, getDescription, getFilename, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageObserver, paintIcon, setDescription, setImage, toString`

  ### Methods inherited from class javax.swing.ImageIcon

  `loadImage, setImageObserver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReflectedIcon

    public ReflectedIcon(Icon baseIcon, boolean leftToRight)
    Construct a icon that is reflected either left to right or upside down.
    Parameters:
      `baseIcon` - base icon
      `leftToRight` - true flips x values, false flips y values

- ## Method Details

  - ### createImageIcon

    protected ImageIcon createImageIcon()
    Overrides:
      `createImageIcon` in class `DerivedImageIcon`